org.apache.xmlgraphics.ps

## Class PSProcSet

- java.lang.Object
- - org.apache.xmlgraphics.ps.PSResource
  - - org.apache.xmlgraphics.ps.PSProcSet

- All Implemented Interfaces:
    Comparable

      public class PSProcSet
      extends PSResource

  PSResource subclass that represents a ProcSet resource.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.ps.PSResource

      `TYPE_CIDFONT, TYPE_CMAP, TYPE_ENCODING, TYPE_FILE, TYPE_FONT, TYPE_FORM, TYPE_PATTERN, TYPE_PROCSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSProcSet(String name)` Creates a new instance.
    `PSProcSet(String name, float version, int revision)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceSpecification()`
    `int` | `getRevision()`
    `float` | `getVersion()`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSResource

      `compareTo, equals, getName, getType, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSProcSet

          public PSProcSet(String name)

      Creates a new instance.
      Parameters:
        `name` - name of the resource

    - #### PSProcSet

          public PSProcSet(String name,
                   float version,
                   int revision)

      Creates a new instance.
      Parameters:
        `name` - name of the resource
        `version` - version of the resource
        `revision` - revision of the resource

  - ### Method Detail

    - #### getVersion

          public float getVersion()

      Returns:
        the version

    - #### getRevision

          public int getRevision()

      Returns:
        the revision

    - #### getResourceSpecification

          public String getResourceSpecification()

      Overrides:
        `getResourceSpecification` in class `PSResource`
      Returns:
        the <resource> specification as defined in DSC v3.0 spec.

Copyright 1999-2014 The Apache Software Foundation. All Rights Reserved.